{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:true,
        }
    },
    mounted:function(){
      var cid=this.$router.history.current.params.id;
      this.$refs.grd2.linkInInitQuery("newschannel_id",cid);
    },
    created:function(){

    },
    methods:{
      randrowclick:function(r){
          this.$router.push("/articledetail/"+r.id);
      },
      onColFormater(row,column,cellvalue,index){
        if(column.property=="created_at"){
          return new Date(row["created_at"]).toLocaleString();
        }
        return cellvalue;
      },
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(this.cc);
       },
       headerCellStyle:function(){
         return {"background-color":"red"};
       },
    },
    computed:{
      headStyle:function(){
        return {"background-color":"white"};
      }
    },
    vname:"gsb-channelquery"
}
